Packages - Bug #1508

[iceweasel] WebRTC ALSA audio device module is broken
2017-10-24 03:14 PM - lukeshu

Status: not-a-bug % Done: 0%
Priority: bug

Assignee: oaken-source

Category:

Description

When using iceweasel with ALSA rather than PulseAudio, navigator.mediaDevices.getUserMedia({..., audio: true}) will fail with a
message about unable to allocate audiostream.

This is most likely an issue from upstream Firefox, but | would like to verify that before reporting it to Mozilla. |1 am unsure whether
this can be reported to Arch, as | am unsure if Arch builds firefox with ALSA support. Though, the error message is the same in both
iceweasel and Arch's firefox.

| have verified this on both i686 and x86_64.

History

#1 - 2017-10-24 05:40 PM - oaken-source

| am not sure how to reproduce this. sound with alsa works fine on my end.
could you give some more details?

#2 - 2017-10-25 10:23 AM - bill-auger

- File test-getusermedia.html added
i tried today with parabola i686 (iceweasel 56.0.1 32-bit) but i could not reproduce this either

#3 - 2017-10-29 06:55 PM - oaken-source
- Assignee set to oaken-source

- Status changed from open to info needed

#4 - 2017-11-21 11:27 PM - lukeshu

The error doesn't present itself until the promise is fulfilled/rejected.

navigator.mediaDevices.getUserMedia ({audio: true})
.then (function f(e) { console.log("then", e); 1})
.catch (function f(e) { console.log("catch", e); })

The "then" case indicates success, the "catch" case indicates failure.

On iceweasel-1:56.0.2-2-i686, | still get the error, this appears in the console:

catch MediaStreamError { name: "NotReadableError", message: "Failed to allocate audiosource", constraint: "",
stack: "" }

This issue does not manifest if PulseAudio is running. | haven't verified with Jack or anything ales, but | assume that if Jack is running, it will similarly
not manifest.

#5 - 2020-12-15 02:16 PM - oaken-source

- Status changed from info needed to not-a-bug
closing as stale.

#6 - 2020-12-15 02:36 PM - bill-auger
i thik webrtc is still broken with ALSA (output working, input broken IIRC) - it could be that the upstream does not care to support it though

https://bugzilla.mozilla.org/show_bug.cgi?id=1345661
https://bugzilla.mozilla.org/show_bug.cgi?id=1345661

#7 - 2020-12-15 02:50 PM - bill-auger

i thik webrtc is still broken with ALSA - it could be that the
upstream does not care to support it though
